Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class FiasGetAbonentLocationFind

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.fias.server.bean.FiasGetAbonentLocationFind

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class FiasGetAbonentLocationFind
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - запрос изменения номера при поиске и ответе

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiasGetAbonentLocationFind​(int pluginId, java.lang.String number)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getNumber()` | Возвращает начальный номер.
  `java.lang.String` | `getNumberForAnswer()` | Возвращает номер для ответа.
  `java.lang.String` | `getNumberForFind()` | Возвращает номер для поиска.
  `void` | `setNumberForAnswer​(java.lang.String numberForAnswer)` | Устанавливает номер для ответа.
  `void` | `setNumberForFind​(java.lang.String numberForFind)` | Устанавливает номер для поиска.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FiasGetAbonentLocationFind

    public FiasGetAbonentLocationFind​(int pluginId, java.lang.String number)
    Конструктор события.
    Parameters:
      `number` - - номер для поиска

- ## Method Details

  - ### getNumber

    public java.lang.String getNumber()
    Возвращает начальный номер.
    Returns:

  - ### getNumberForFind

    public java.lang.String getNumberForFind()
    Возвращает номер для поиска.
    Returns:

  - ### setNumberForFind

    public void setNumberForFind​(java.lang.String numberForFind)
    Устанавливает номер для поиска.
    Parameters:
      `numberForFind` -

  - ### getNumberForAnswer

    public java.lang.String getNumberForAnswer()
    Возвращает номер для ответа.
    Returns:

  - ### setNumberForAnswer

    public void setNumberForAnswer​(java.lang.String numberForAnswer)
    Устанавливает номер для ответа.
    Parameters:
      `numberForAnswer` -